<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Mybooks extends REST_Controller {
    

    public function __construct() {
       parent::__construct();
       $this->load->model('common');
     
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Mybooks');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('Mybooks', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Mybooks', $id);
       
        $this->response(['Category deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}